io.netty.handler.codec.redis

## Class ErrorRedisMessage

- java.lang.Object
- - io.netty.handler.codec.redis.AbstractStringRedisMessage
  - - io.netty.handler.codec.redis.ErrorRedisMessage

All Implemented Interfaces:
  RedisMessage

    @UnstableApi
    public final class ErrorRedisMessage
    extends AbstractStringRedisMessage

Errors of RESP.

### Constructor Summary

Constructors
Constructor and Description
`ErrorRedisMessage(String content)` Creates a `ErrorRedisMessage` from `content`.

### Method Summary

### Methods inherited from class io.netty.handler.codec.redis.AbstractStringRedisMessage

`content, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ErrorRedisMessage

    public ErrorRedisMessage(String content)

Creates a `ErrorRedisMessage` from `content`.

Parameters:
  `content` - the message content, must not be `null`.